CMPIARGS(3)

NAME
CMPIArgs - CMPIArgs class implementation

SYNOPSIS

  Public Attributes
int void * hdl
Opaque pointer to class instance data.
CMPIArgsFT * ft
Pointer to the Args Function Table.

METHODS
CMPIStatus release (CMPIArgs *args)
CMPIArgs * clone (CMPIArgs *args, CMPIStatus *rc)
CMPIStatus addArg (CMPIArgs *args, char *name, CMPIValue *value, CMPIType type)
CMPIData getArg (CMPIArgs *args, char *name, CMPIStatus *rc)
CMPIData getArgAt (CMPIArgs *args, unsigned int index, CMPIString **name, CMPIStatus *rc)
unsigned int getArgCount (CMPIArgs *args, CMPIStatus *rc)

DESCRIPTION
Native CMPIArgs implementation.

This is the native CMPIArgs implementation as used for remote providers. It reflects the well-defined interface of a regular CMPIArgs object, however, it works independently from the management broker.

It is part of a native broker implementation that simulates CMPI data types rather than interacting with the entities in a full-grown CIMOM.

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup